﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace InfragisticsProject.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Modify this template to jump-start your ASP.NET MVC application.";

            return View("GridTest");
        }

        public ActionResult GridTest()
        {
            return View();
        }

        public ActionResult GetData()
        {
            List<TestModel> data = new List<TestModel>();
            data.Add(new TestModel(1, "GVII","GVII","act", "updated comments"));
            data.Add(new TestModel(2, "m2","m2name","st2", "m2-comments"));
            data.Add(new TestModel(3, "m3","m3_name","s3", "m3_comments"));
            data.Add(new TestModel(4, "m5","m5_name","s5", "m5_comments"));
            data.Add(new TestModel(5, "model1","model1_name","stas", "comments1"));

            return Json(data, JsonRequestBehavior.AllowGet);
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your app description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
    public class TestModel
    {
        public int ItemNumber;
        public string ModelNumber;
        public string ModelName;
        public string Status;
        public string Comments;

        public TestModel(int ItemNumber, string ModelNumber, string ModelName, string Status, string Comments)
        {
            this.ItemNumber = ItemNumber;
            this.ModelNumber = ModelNumber;
            this.ModelName = ModelName;
            this.Status = Status;
            this.Comments = Comments;
        }
    }

}
